-- Copyright © 2016 Xianghar
-- All Rights Reserved.


if select(2,UnitClass("player")) ~= "DEMONHUNTER" then return end

if not DHTimers then DHTimers = {} end

DHTimers_Profiles = {
    ["default"] = {}
}
DHTimers_GlobalSettings = {}


function XiTimers.CustomInit()
	XiTimers_Profiles = DHTimers_Profiles
	XiTimers_GlobalSettings = DHTimers_GlobalSettings
end

--[[
function DHTimers_Slash(msg)
	if InCombatLockdown() then
		DEFAULT_CHAT_FRAME:AddMessage("Can't open DHTimers options in combat.")
		return
	end
    if XiTimers.LastGUIPanel then
        InterfaceOptionsFrame_OpenToCategory(XiTimers.LastGUIPanel)
    else
        InterfaceOptionsFrame_OpenToCategory("DHTimers")
    end
end]]


XiTimers.DefaultProfile.buttons = {

	["DEMONHUNTER"] = {
		{
			nil, -- [1]
			nil, -- [2]
			nil, -- [3]
			{
				["id"] = 162794,
				["type"] = "spell",
			}, -- [4]
			{
				["id"] = 195072,
				["type"] = "spell",
			}, -- [5]
			{
				["id"] = 188499,
				["type"] = "spell",
			}, -- [6]
			{
				["id"] = 185123,
				["type"] = "spell",
			}, -- [7]
			{
				["id"] = 213241,
				["type"] = "spell",
			}, -- [8]
			[13] = {
				["id"] = 211048,
				["type"] = "spell",
			},
			[14] = {
				["id"] = 201467,
				["type"] = "spell",
			},
			[39] = {
				["id"] = 198589,
				["type"] = "spell",
			},
			[15] = {
				["id"] = 198013,
				["type"] = "spell",
			},
			[16] = {
				["id"] = 179057,
				["type"] = "spell",
			},
			[17] = {
				["id"] = 183752,
				["type"] = "spell",
			},
			[18] = {
				["id"] = 198793,
				["type"] = "spell",
			},
			[19] = {
				["id"] = 206491,
				["type"] = "spell",
			},
			[38] = {
				["id"] = 191427,
				["type"] = "spell",
			},
			[40] = {
				["id"] = 217832,
				["type"] = "spell",
			},
			[36] = {
				["id"] = 188501,
				["type"] = "spell",
			},
			[37] = {
				["id"] = 196718,
				["type"] = "spell",
			},
		}, -- [1]
		{
		}, -- [2]
	},		
}

XiTimers.DefaultProfile.FuryBar = true
XiTimers.DefaultProfile.PainBar = true

XiTimers.Settings.FuryBar = function(value, Timers)
	if GetSpecialization() == 1 then
		if value then
			XiTimers.PowerBar.powerName = "FURY"
			XiTimers.PowerBar.powerIndex = SPELL_POWER_FURY
			XiTimers.PowerBar:enable()
		else
			XiTimers.PowerBar:disable()
			
		end
	end
end

XiTimers.Settings.PainBar = function(value, Timers)
	if GetSpecialization() == 1 then
		if value then
			XiTimers.PowerBar.powerName = "PAIN"
			XiTimers.PowerBar.powerIndex = SPELL_POWER_PAIN
			XiTimers.PowerBar:enable()
		else
			XiTimers.PowerBar:disable()
			
		end
	end
end
